Bug 30855 - Advansys SCSI Card NOT detected
Summary: Advansys SCSI Card NOT detected
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-06 20:24 UTC by Tony Spinillo
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-07 02:57:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tony Spinillo 2001-03-06 20:24:34 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.3-pre2 i686; en-US; 0.8)
Gecko/20010215


When installing on a machine with an Advansys 3940UW Scsi adapter all goes
fine. If I swap out the UW and swap in an Advansys/Connectcom 3940U2W
adapter, the installer complains that there is no valid block device. These
units use the same kernel driver. This configuration installs fine when
using the Mandrake 8 beta.

Reproducible: Always
Steps to Reproduce:
1.I pull out the Advansys 3940UW SCSI adapter. (My boot device is a IBM
SCSI disk.)
2.I insert an Advansys 3940U2W SCSI Adapter (connected to my IBM hard drive)
3.I attempt to install Wolverine. Anaconda fails, claming it cannot find a
valid block device.
	

Actual Results:  Installation fails. But is I use the older Advansys 3940UW
SCSI adapter, Wolverine installs fine. Both of these adapters use the SAME
kernel module.

Expected Results:  Succesful installation

My system utilizes an ASUS CUSL2 Motherboard, 1GHz Intel CPU. I can also
duplicate this behavior on a production machine at work with the same
internal components. As an aside Mandrake beta 8 installs fine. Thanks!

Comment 1 Bill Nottingham 2001-03-06 23:53:58 UTC
lspci output?

Comment 2 Tony Spinillo 2001-03-07 02:57:14 UTC
If I do "expert install" and choose Advansys adapter, system does install. The
regular installation fails. (Where you just hit enter on startup).This can be a
problem for someone installing for the first time. Thanks for all your help!

My lspci output;
00:00.0 Host bridge: Intel Corporation 82815 815 Chipset Host Bridge and Memory
Controller Hub (rev 02)
00:01.0 PCI bridge: Intel Corporation: Unknown device 1131 (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82820 820 (Camino 2) Chipset PCI (rev 01)
00:1f.0 ISA bridge: Intel Corporation 82820 820 (Camino 2) Chipset ISA Bridge
(ICH2) (rev 01)
00:1f.1 IDE interface: Intel Corporation 82820 820 (Camino 2) Chipset IDE U100
(rev 01)
00:1f.2 USB Controller: Intel Corporation 82820 820 (Camino 2) Chipset USB (Hub
A) (rev 01)
00:1f.3 SMBus: Intel Corporation 82820 820 (Camino 2) Chipset SMBus (rev 01)
00:1f.4 USB Controller: Intel Corporation 82820 820 (Camino 2) Chipset USB (Hub
B) (rev 01)
01:00.0 VGA compatible controller: nVidia Corporation NV15 Bladerunner (Geforce2
GTS) (rev a4)
02:0a.0 SCSI storage controller: Advanced System Products, Inc: Unknown device 2500
02:0b.0 Ethernet controller: Digital Equipment Corporation DECchip 21140
[FasterNet] (rev 22)
02:0c.0 SCSI storage controller: Advanced System Products, Inc ABP940-UW
02:0d.0 Multimedia audio controller: Creative Labs SB Live! EMU10000 (rev 07)
02:0d.1 Input device controller: Creative Labs SB Live! (rev 07)
[root@localhost /root]#

Comment 3 Bill Nottingham 2001-03-07 05:05:06 UTC
Will be fixed in kudzu-0.97.5-1, and whatever installer tree is built
after that.


Note You need to log in before you can comment on or make changes to this bug.